Draft: Strato

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Layer and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Pagina successiva: Pendenza Draft Slope.svg Arrow-right.svg


Draft Layer.svg Strato

Nome nel codice
Draft Layer
Posizione nel menu
Draft → Utilità → Strato
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Nessuno


Descrizione

Lo Strato crea un tipo speciale di gruppo che controlla le proprietà visive degli oggetti posizionati al suo interno. Modificando le proprietà dello strato, come la larghezza della linea, il colore della linea, il colore della forma e la trasparenza, le modifiche vengono propagate agli oggetti che utilizzano la proprietà Strato.

Questo strumento sostituisce VisGruppo a partire da FreeCAD 0.19.

Utilizzo

  1. Andare nel menu Draft → Utilità → Draft Layer.svg Strato.
  2. Modificare le proprietà di visualizzazione desiderate dello strato.

Proprietà

  • DataGroup: specifica gli elementi che fanno parte del gruppo.
  • Proprietà visive che possono essere modificate e propagate agli oggetti: ViewStile di disegno, ViewColore della linea, ViewLarghezza della linea, ViewColore della forma, ViewTrasparenza, e ViewVisibilità.

Script

Vedere anche: Script di base per FreeCAD

Per aggiungere o rimuovere oggetti dallo strato, sovrascrivere semplicemente il suo attributo Group.

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group
Pagina successiva: Pendenza Draft Slope.svg Arrow-right.svg